2009年3月29日日曜日

Passenger2.1.2 CentOS5 インストール エラー

Error log(エラーログ):

### In ext/apache2:
g++ -shared SystemTime.o Utils.o Bucket.o Logging.o Configuration.o CachedFileStat.o Hooks.o mod_passenger.o -fPIC -o mod_passenger.so ../libboost_oxt.a -fPIC -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -I/usr/include/apr-1 -I/usr/include/apr-1 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -I/usr/include/httpd -D_REENTRANT -D_GLIBCPP__PTHREADS -I/usr/local/include -fPIC -lapr-1 -laprutil-1 -lpthread  -lstdc++
/usr/bin/ld: skipping incompatible /usr/lib/libaprutil-1.so when searching for -laprutil-1
/usr/bin/ld: cannot find -laprutil-1
collect2: ld returned 1 exit status
rake aborted!
Command failed with status (1): [g++ -shared SystemTime.o Utils.o Bucket.o ...]
/usr/local/lib/ruby/gems/1.8/gems/passenger-2.1.2/Rakefile:157
(See full trace by running task with --trace)

--------------------------------------------
It looks like something went wrong

Please read our Users guide for troubleshooting tips:

   /usr/local/lib/ruby/gems/1.8/gems/passenger-2.1.2/doc/Users guide.html

If that doesn't help, please use our support facilities at:

   http://www.modrails.com/

We'll do our best to help you.

The solution is(解決方法は):

yum install e2fsprogs-devel apr-devel apr-util-devel expat-devel

なんとかインストールできました。冷や冷やしたよ(>_<)

0 件のコメント: